အကြောင်းအရာသို့ ကျော်ရန်

Ideogram Object Removal

ပေါင်းစည်းရန်

မော်ဒယ် id ideogram/object-removal
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/object-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၀၃ $ ၃၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်

အရိပ်များနှင့် အလင်းပြန်မှုများအပါအဝင် အဖြူအမည်း မတ်စ်ကို အသုံးပြု၍ စာသားပရောမ့်မလိုဘဲ ပုံထဲမှ အရာဝတ္ထုများကို ဖယ်ရှားခြင်း

Ideogram · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ဖယ်ရှားမည့် အရာဝတ္ထု ပါဝင်သည့် မူရင်းပုံ။ ဖိုင်အရွယ်အစားသည် 10 MB ထက် မကျော်ရပါ။

•လိုအပ်သည် mask_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

ဖယ်ရှားမည့် ပစ်ဇယ်များအတွက် အဖြူရောင်နှင့် ထိန်းသိမ်းမည့် ပစ်ဇယ်များအတွက် အနက်ရောင် အသုံးပြုသည့် ဖယ်ရှားရေး mask။ 10 MB ထက် မကြီးသော၊ မူရင်းပုံနှင့် အတိုင်းအတာတူညီသည့် အဖြူအမည်းပုံကို ပေးပါ။

POST /run/ideogram/object-removal?wait=20 ကုန်ကျစရိတ် → ၀.၀၃ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/object-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Ideogram Object Removal အကြောင်း

စာသားပရောမ့်မပါဘဲ ဓာတ်ပုံထဲမှ အရာဝတ္ထုများကို ဖယ်ရှားပေးသည်။ ရင်းမြစ်ပုံ (`image_url`) နှင့် ၎င်း၏အရွယ်အစားနှင့် ကိုက်ညီသော မတ်စ် (`mask_url`) ကို ပေးရမည်။ အဖြူရောင်ပစ်ဇယ်များကို ဖျက်ပြီး အနက်ရောင်ပစ်ဇယ်များကို ထိန်းထားသည်။ အရာဝတ္ထုရှိခဲ့သည့်နေရာရှိ မြင်ကွင်းကို ပြန်လည်တည်ဆောက်ပြီး ၎င်း၏အရိပ်နှင့် အလင်းပြန်မှုများကိုလည်း ဖယ်ရှားသည်။ ဖိုင်တစ်ခုစီသည် 10MB အထိ ရှိနိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
ဖယ်ရှားမည့် အရာဝတ္ထု ပါဝင်သည့် မူရင်းပုံ။ ဖိုင်အရွယ်အစားသည် 10 MB ထက် မကျော်ရပါ။
mask_urlလိုအပ်သည် mask
အမျိုးအစားurl · image
ဖယ်ရှားမည့် ပစ်ဇယ်များအတွက် အဖြူရောင်နှင့် ထိန်းသိမ်းမည့် ပစ်ဇယ်များအတွက် အနက်ရောင် အသုံးပြုသည့် ဖယ်ရှားရေး mask။ 10 MB ထက် မကြီးသော၊ မူရင်းပုံနှင့် အတိုင်းအတာတူညီသည့် အဖြူအမည်းပုံကို ပေးပါ။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/object-removal",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "mask_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
image
object {url, content_type, file_name, file_size}Mask ပြုလုပ်ထားသော အရာဝတ္ထုကို ဖယ်ရှားပြီးနောက် ထွက်ရလဒ်ပုံ။

နောက်ထပ် မော်ဒယ်များ: ပုံတည်းဖြတ်ခြင်း

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/ideogram/object-removal.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt